# $Revision: 1.46 $, $Date: 2012/04/17 17:56:33 $
#
# TODO:
# - update slim-configuration.patch for pending WM-s
#
Summary:	SLiM - a desktop-independent graphical login manager
Summary(pl.UTF-8):	SLiM - niezależny od środowiska graficzny zarządca logowania
Name:		slim
Version:	1.3.3
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://download.berlios.de/slim/%{name}-%{version}.tar.gz
# Source0-md5:	ce53e44c1e4a2eacf5bb7688ee2a5de8
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-configuration.patch
Patch1:		cmake.patch
URL:		http://slim.berlios.de/
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	cmake
BuildRequires:	rpmbuild(macros) >= 1.450
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires(post,preun):	/sbin/chkconfig
Requires(post,postun):	systemd-units >= 38
Requires:	mktemp
Requires:	rc-scripts >= 0.4.0.10
Requires:	systemd-units >= 0.38
Requires:	xinitrc-ng >= 1.0
Provides:	XDM
Obsoletes:	slim-systemd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SLiM is a Desktop-independent graphical login manager for X11, derived
from Login.app.

It aims to be light and simple, although completely configurable
through themes and an option file; is suitable for machines on which
remote login functionalities are not needed.

Features included:
- PNG and XFT support for alpha transparency and antialiased fonts
- External themes support
- Configurable runtime options: X server, login / shutdown / reboot
  commands
- Single (GDM-like) or double (XDM-like) input control
- Can load predefined user at startup
- Configurable welcome / shutdown messages
- Random theme selection

%description -l pl.UTF-8
SLiM jest niezależnym od środowiska graficznym zarządcą ekranów dla
X11 wzorowanym na Login.app.

W założeniu ma być lekki i prosty, i jednocześnie całkowicie
konfigurowalny za pomocą motywów i pliku konfiguracyjnego; jest
przeznaczony dla maszyn, na których funkcjonalność zdalnego logowania
nie jest potrzebna.

Możliwości:
- obsługa PNG i XFT dla przezroczystości alpha oraz czcionek
  antyaliasowanych,
- wsparcie dla dodatkowych motywów,
- konfigurowalne opcje: serwer X, polecenia do logowania, wyłączania
  oraz restartu komputera,
- pojedyncza (jak w GDM) lub podwójna (jak w XDM) kontrola wejścia,
- możliwość automatycznego zalogowania danego użytkownika,
- konfigurowalne komunikaty powitania / pożegnania,
- losowy wybór motywu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir}/X11/slim \
	..
%{__make} \

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	CFGDIR=%{_sysconfdir}/X11/slim \
	MANDIR=%{_mandir} \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/security
:> $RPM_BUILD_ROOT/etc/security/blacklist.slim

# initscript
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,security}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

# systemd
install -d $RPM_BUILD_ROOT%{systemdunitdir}
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/slim.service

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add slim
# -n option not to actually restart as it will terminate all sessions opened from slim!
%service -n slim restart "SLiM Display Manager"
%banner -e %{name} <<EOF
NOTE: You need to prepare ~/.xinitrc to make slim work.
Take a look at %{_docdir}/%{name}-%{version}/xinitrc.sample*

EOF
%systemd_reload

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del slim
	%service slim stop
fi

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc ChangeLog README THEMES TODO xinitrc.sample
%dir %{_sysconfdir}/X11/slim
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/slim/slim.conf
%attr(754,root,root) /etc/rc.d/init.d/slim
%{systemdunitdir}/slim.service
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.slim
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/slim
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/slim.1*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: slim.spec,v $
Revision 1.46  2012/04/17 17:56:33  baggins
- rel 2
- better systemd deps

Revision 1.45  2012/03/24 10:21:06  glen
- up to 1.3.3, uses now make for build

Revision 1.44  2012/03/24 02:44:06  glen
- typo

Revision 1.43  2012/03/24 02:38:13  glen
- use prefdm from xinitrc-ng 1.0

Revision 1.42  2012/02/08 15:58:22  adamg
- release 9; rebuild against libpng-1.5

Revision 1.41  2012/02/08 13:49:13  glen
- fix xinitrc.sample path

Revision 1.40  2012/02/07 22:07:27  arekm
- release 8

Revision 1.39  2012/02/07 17:42:01  baggins
- rel 7
- don't restart daemon in systemd post

Revision 1.38  2012/02/05 17:40:08  baggins
- rel 6
- added O:*-systemd

Revision 1.37  2012/02/05 16:49:31  baggins
- rel 5
- merged systemd stuff into main package

Revision 1.36  2012/01/17 00:09:43  cactus
- rel 4; systemd subpackage

Revision 1.35  2011/12/20 19:40:58  arekm
- release 3

Revision 1.34  2011/07/12 21:04:03  glen
- dep for initscript that uses --fork

Revision 1.33  2011/07/12 21:00:55  glen
- tab

Revision 1.32  2011/07/12 20:59:46  glen
- up to 1.3.2

Revision 1.31  2010/01/30 22:11:12  megabajt
- fixed build with libpng 1.4
- release 2

Revision 1.30  2009/08/18 21:53:57  adamg
- updated to 1.3.1; -stdlib patch applied upstream

Revision 1.29  2009/08/12 13:22:07  uzsolt
- rel 3

Revision 1.28  2009/08/12 13:09:55  uzsolt
- stdlib and stdio patches

Revision 1.27  2009/07/12 13:29:11  arekm
- release 2

Revision 1.26  2008/11/02 13:23:49  uzsolt
- typo

Revision 1.25  2008/06/09 21:13:15  qboosh
- fullstop

Revision 1.24  2008-06-07 17:44:38  adamg
- fixed pl description

Revision 1.23  2007-09-09 17:21:00  qboosh
- let all XDMs have Provides: XDM (xdm was already used by XFree86 xdm impl.)
- dropped X11-xdm obsoletes from non-X.org XDMs

Revision 1.22  2007/08/26 10:36:40  czarny
- up to 1.3.0
- upped Makefile patch
- added configuration patch: make it work with PLD
- todo added
- note added

Revision 1.21  2007/08/04 14:50:28  patrys
- don't obsolete other greeters
- rel up

Revision 1.20  2007/03/26 15:48:38  baggins
- rel 3
- this toy does not have pam support

Revision 1.19  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.17  2007/02/11 13:28:09  baggins
- rel 2
- R: pam >= 0.99.7.1

Revision 1.16  2006/12/22 19:44:23  qboosh
- pl fixes

Revision 1.15  2006/12/22 19:03:51  adamg
- braino

Revision 1.14  2006/12/22 18:58:15  adamg
- override cflags/ldflags
- zlib-devel required by freetype-devel
- pass cc/cxx

Revision 1.13  2006/12/22 18:05:52  adamg
- typo...

Revision 1.12  2006/12/22 17:45:29  adamg
- new
